import { Button, Card, CardActions, CardContent, Grid, IconButton } from "@mui/material";
import { Link } from "react-router-dom";
import ArrowForwardIcon from "@mui/icons-material/ArrowForward";
import { useDispatch, useSelector } from "react-redux";
import DeleteIcon from "@mui/icons-material/Delete";
import { deleteProject, fetchProject } from "../../../../../store/actions/projectsActions";
import { useEffect } from "react";

const ProjectItem = ({ title, tasks, projectId, onClickProjectHandler }) => {
    const user = useSelector(state => state.users.user);
    const dispatch = useDispatch();

    console.log(user)

    const deleteHandle = (projectId) => {
        console.log("project id", projectId)
        dispatch(deleteProject(projectId))
    };
    const fullInfo = (projectId) => {
        console.log("full project info", projectId)
        dispatch(fetchProject(projectId))
    };

    
    
    return <>
        <Grid item xs={12} sm={12} md={6} lg={4} onClick={onClickProjectHandler}>
            <Card>
                <CardContent onClick={() => {fullInfo(projectId)}} >
                    <strong>
                        <br></br>
                        Название проекта: {title}
                    </strong>
                    <strong>
                        <br></br>
                        {/* Задачи: {tasks} */}
                    </strong>
                </CardContent>
                <CardActions>
                    {(title !== "Личные дела") ? <Button onClick={() => {
                        deleteHandle(projectId);
                    }} variant="outlined" startIcon={<DeleteIcon />}>
                        Delete
                    </Button> : null}

                </CardActions>
            </Card>
        </Grid>
    </>
};

export default ProjectItem;
