import {Grid} from "@mui/material";
import ProjectItem from "./ProjectItem/ProjectItem";

const ProjectsList = ({projects, onClickProjectHandler}) => {
    return (
        <Grid item container direction="column" spacing={1}>
            {projects?.map(project => {
                return <ProjectItem
                    title={project.title}
                    createdAt={project.createdAt}
                    projectId={project.id}
                    key={project.id}
                    onClickProjectHandler={()=>{onClickProjectHandler(project)}}
                />
            })}
        </Grid>
    );
};

export default ProjectsList;