import { Grid, Typography } from "@mui/material";
import { useCallback, useEffect, useState } from "react";
import { useDispatch, useSelector } from "react-redux";
import HasAccess from "../../components/UI/HasAccess/HasAccess";
import { fetchProjects } from "../../store/actions/projectsActions";
import ProjectsList from "../../components/ProjectsComponents/ProjectsWrapper/ProjectsList/ProjectsList";
import FullProject from "../FullProject/FullProject";
import ProjectsWrapper from "../../components/ProjectsComponents/ProjectsWrapper/ProjectsWrapper";

const Projects = () => {
    const dispatch = useDispatch();
    const { projects, project, loading } = useSelector(state => state.projects.projects);
    const members = useSelector(state => state.projects.projects)
    const [currentProject, setCurrentProject] = useState(null)
    console.log(projects)
    useEffect(() => {
        dispatch(fetchProjects())
    }, [dispatch]);

    const onClickProjectHandler = useCallback((project)=>{
        setCurrentProject(project)
    }, [])

    return <>
        {projects?.length > 0 || project?.length > 0 ? (<>
            <Grid container spacing={1}>
                <Grid
                    container
                    item
                    direction="row"
                    justifyContent="space-between"
                >
                    <Grid item xs={4}>
                        <ProjectsWrapper projects={projects} onClickProjectHandler={onClickProjectHandler}/>
                    </Grid>
                    <Grid item xs={7}  >
                        {currentProject ? <FullProject projectId={currentProject?.id}/> : null}
                    </Grid>
                </Grid>

            </Grid>
        </>) :
            <h1>Созданных проектов нет</h1>
        }
    </>
};

export default Projects;